<template>
  <div class="desktop-menu">
    <div class="center">
      <router-link to="/lk" class="logotype">
        <svg class="webbankir-logotype" viewBox="0 3 170 25">
          <use xlink:href="#webbankir-logotype"/>
        </svg>
      </router-link>
      <pay-or-take-loan-button></pay-or-take-loan-button>
    </div>

    <CashbackWidget v-if="$cashback === 2"/>

    <!--<div class="menu">-->
      <!--<router-link tag="a" :to="{name: 'my-loan'}" class="menu-link loan" active-class="active" @click.native="$events.$emit('myloan.reset')">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#loan-icon"/>-->
        <!--</svg>-->
        <!--Мой займ-->
      <!--</router-link>-->
      <!--&lt;!&ndash;<router-link v-if="$posServices" tag="a" :to="{name: 'targeted-lending'}" class="menu-link target-loan" active-class="active">&ndash;&gt;-->
        <!--&lt;!&ndash;<svg class="menu-link__icon">&ndash;&gt;-->
          <!--&lt;!&ndash;<use xlink:href="#pos-icon"/>&ndash;&gt;-->
        <!--&lt;!&ndash;</svg>&ndash;&gt;-->
        <!--&lt;!&ndash;Доп.услуги&ndash;&gt;-->
      <!--&lt;!&ndash;</router-link>&ndash;&gt;-->
      <!--<div class="quarter" v-if="$interface.showInstallment">-->
        <!--<router-link :to="{name: 'installment'}" class="menu-link target-loan" :class="{active: $route.meta.installment}">-->
          <!--<svg class="menu-link__icon">-->
            <!--<use xlink:href="#pos-icon"/>-->
          <!--</svg>-->
          <!--Целевое кредитование-->
        <!--</router-link>-->
        <!--<div class="sub-menu" v-if="$route.meta.installment">-->
          <!--<router-link :class="['menu-link', {active: $route.meta.installment.partners}]" :to="{name: 'installment-partners'}">-->
            <!--Партнеры-->
          <!--</router-link>-->
          <!--<router-link :class="['menu-link', {active: $route.meta.installment.schedule}]" :to="{name: 'installment-schedule'}">-->
            <!--График платежей-->
          <!--</router-link>-->
          <!--&lt;!&ndash;<a href="#" :class="{active: $route.meta.installment.special}" @click.prevent="$router.push({name: 'installment-special'})">Спецпредложения</a>&ndash;&gt;-->
          <!--&lt;!&ndash;<a href="#">Мои анкета</a>&ndash;&gt;-->
        <!--</div>-->
      <!--</div>-->
      <!--<a href="https://coupon.webbankir.com/" target="_blank" class="menu-link my-accounts" active-class="active" v-if="displayCoupons">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#coupon-icon"/>-->
        <!--</svg>-->
        <!--Купоны-->
      <!--</a>-->
      <!--<router-link tag="a" :to="{name: 'profile'}" class="menu-link personal-data" active-class="active">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#profile-icon"/>-->
        <!--</svg>-->
        <!--Моя анкета-->
        <!--<div v-if="unfiled" class="need-ankete-data">Необходимо дозаполнить анкету. <span>Подробнее...</span></div>-->
      <!--</router-link>-->
      <!--<router-link tag="a" :to="{name: 'my-accounts'}" class="menu-link my-accounts" active-class="active">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#my-bills-icon"/>-->
        <!--</svg>-->
        <!--Мои счета-->
      <!--</router-link>-->
      <!--<router-link tag="a" :to="{name: 'loan-history'}" class="menu-link loan-history" active-class="active">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#loan-history-icon"/>-->
        <!--</svg>-->
        <!--История займов-->
      <!--</router-link>-->
      <!--<router-link tag="a" :to="{name: 'services'}" class="menu-link services" active-class="active">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#services-icon"/>-->
        <!--</svg>-->
        <!--Услуги-->
      <!--</router-link>-->
      <!--<router-link tag="a" :to="{name: 'feedback'}" class="menu-link feedback" active-class="active">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#feedback-icon"/>-->
        <!--</svg>-->
        <!--Пожаловаться на оператора-->
      <!--</router-link>-->
      <!--<router-link tag="a" :to="{name: 'credit-rating'}" class="menu-link credit-rating" active-class="active">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#credit-rating-icon"/>-->
        <!--</svg>-->
        <!--Кредитный рейтинг-->
      <!--</router-link>-->
      <!--<hr/>-->
      <!--<router-link tag="a" :to="{name: 'change-password'}" class="menu-link lock" active-class="active">-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#pass-change-icon"/>-->
        <!--</svg>-->
        <!--Изменить пароль-->
      <!--</router-link>-->
      <!--<a-->
        <!--href="#"-->
        <!--class="menu-link exit"-->
        <!--v-on:click.prevent="doLogout"-->
        <!--@click="toExit"-->
      <!--&gt;-->
        <!--<svg class="menu-link__icon">-->
          <!--<use xlink:href="#logout-icon"/>-->
        <!--</svg>-->
        <!--Выход-->
      <!--</a>-->
      <!--<hr/>-->
    <!--</div>-->
    <Side/>
  </div>
</template>

<script>
  import PayOrTakeLoanButton from '@/components/PayOrTakeLoanButton'
  import {USER_RESET, CLEAR_STATE, CLOSE_NOTIFICATIONS} from '@/store/mutation-types'
  import BlockingForms from '@/mixins/BlockingForms'
  import CashbackWidget from "@/components/CashbackWidget";
  import { mapGetters } from 'vuex'
  import Side from "@/components/Side/index";
export default {
    name: 'desktop-menu',
    components: {Side, CashbackWidget, PayOrTakeLoanButton},
    mixins: [BlockingForms],
    computed: {
      ...mapGetters(['$cashback', '$coupons']),
        displayCoupons () {
          if (this.$coupons === 2) return true;

          return !!this.$history.find((loan) => loan.status === 7);
        }
    },
    methods: {
      toExit () {
        this.$store.commit(USER_RESET)
      },
      doLogout () {
        this.$store.dispatch('AUTH_LOGOUT')
        this.$store.commit('CLEAR_PAYMENT_DATA')
        this.$store.commit(USER_RESET)
        this.$store.commit(CLEAR_STATE)
      }
    }
  }
</script>

<style scoped lang="scss">
  .desktop-menu {
    position: absolute;
    bottom: 0;
    top: 0;
    background-color: #fff;
    border-right: 1px solid #eaf0f5;
    & .sub-menu {
      & a {
        display: block;
        text-decoration: none;
        font-size: 15px;
        font-weight: 300;
        padding: 15px 50px 15px 100px;
        line-height: 100%;
        margin: 0;
        &.active:before {
          display: inline-block;
          position: absolute;
          left: 71px;
          top: 19px;
          content: '';
          width: 5px;
          height: 5px;
          border-radius: 15px;
          background: #198af2;
        }
      }
    }
  }

  .menu-link {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    &:hover,
    &.active {
      .menu-link__icon {
        color: #5195e4;
      }
    }
  }

  .menu-link__icon {
    width: 28px;
    height: 28px;
    margin-right: 15px;
    color: #989898;
  }

  .need-ankete-data {
    font-size: 10.2px;
    color: red;
  }

  .need-ankete-data span {
    color: black;
  }
  .webbankir-logotype {
    width: 100%;
    height: 100%;
    position: relative;
    color: #000;
    @media (max-width: 600px) {
      width: 288px;
      height: 55px;
      color: transparent;
    }
  }
</style>
